# All 13 instructions supported in the project.

addi    a0, zero, 4
add     t1, a0, a0
beq     t1, a0, 4
bne     a0, a0, 4
blt     a0, a0, 4
bge     a0, t1, 4
jal     ra, 4
j       4
li      a1, 17
mv      a2, a1
sub     a1, a1, t1
sd      a2, -8(sp)
ld      a3, -8(sp)

# EXPECTED
# ra: 28
# sp: 16384
# t1: 8
# a0: 4
# a1: 9
# a2: 17
# a3: 17
